 
'use strict';

var storeScrollTimeout = null;
var storeScrollWaitStart = null;

function storeScrollPosition()
{
	var scrollPos = window.pageYOffset;
	var scrollMax = document.body.scrollHeight;
	var anchorPC = Math.floor(scrollPos * 100000 / scrollMax);
	window.parent.EPubView.epubDocument.markLocation(anchorPC);
	storeScrollWaitStart = null;

	// rechercher quel title est juste avant cette position
        var idxEntries = window.parent.EPubView.epubDocument.getIndexEntries();
	if(idxEntries.length > 0) {
		var bestTitle = idxEntries[0].getCode();
	        for( var i = 1 ; i < idxEntries.length ; i++ )
	        {
	                var title = document.getElementById(idxEntries[i].getCode());
			if (title == null)
				break;

			if(title.offsetTop - title.offsetHeight <= scrollPos)
				bestTitle = idxEntries[i].getCode();
		}
		window.parent.EPubView.setCurrentElement(bestTitle);
	}
}

function scrollToPosition(posPC)
{
	var scrollMax = document.body.scrollHeight;
	var scrollPos = scrollMax * posPC / 100000;
	window.scrollTo(0,scrollPos);
}

function scrollToAnchor(anchorName)
{
	var anchor = document.getElementById(anchorName);
	window.scrollTo(0,anchor.offsetTop);
}

var lastDocHeight = 0;
function afterLoad()
{
	if(document.body.scrollHeight != lastDocHeight)
	{
		// On attend la fin du rendu autrement la hauteur du document continuera de varier et le placement sera fauss
		lastDocHeight = document.body.scrollHeight;
		window.setTimeout(afterLoad, 100);
		return;
	}
	lastDocHeight = document.body.scrollHeight;
	
	window.addEventListener('scroll', function(evt) {
		if(storeScrollTimeout != null)
		{
			var doClear = true;
			if(storeScrollWaitStart != null && (new Date().getTime() - storeScrollWaitStart) > 20000)
				doClear = false;
			if(doClear)
				window.clearTimeout(storeScrollTimeout);
		}
		storeScrollTimeout = window.setTimeout(storeScrollPosition,1000);
		if(storeScrollWaitStart == null)
			storeScrollWaitStart = new Date().getTime();

		var scrollPos = window.pageYOffset;
		var scrollMax = document.body.scrollHeight;
		var prog = Math.floor(scrollPos*100 / scrollMax);
		var progPanel = window.parent.document.getElementById('progression');
		progPanel.style.width = prog + '%';
	}, true);
	
	var initPos = document.getElementById("initialPosition");
	if(initPos != null)
	{
		scrollToPosition(initPos.value);
	}

	
	window.parent.EPubView.progress(1.0);
}

document.addEventListener('DOMContentLoaded', afterLoad);
window.parent.EPubView.progress(0.3);

